/* this is where the ircII style aliasing goes I thnk */

/* ok, the way these are gotten to is either have a '/' or a '#' at the
beginning of the entry line... */

#include <string.h>
#include "bmud.h"

#define fake_help "\
There is no real help yet. This is a quicky list of aliases\n\
/connect [hostname <port>]\tConnect to a server\n/disconnect\t\tDisconnect from the current server\n\n/quit\t\texit this program\n/exit\t\texit the program\n\n/cload\t\tload color file\n/csave\t\tsave color file\n/cdef\t\tload default colors\n/cdump\t\tshow color declarations in stdout\n\n/sload\t\tload session info\n/ssave\t\tsave session info\n/sdef\t\tuse default session stuff\n/help\t\tthis help thingy\n\nAll the command /'s can be replaced with # if you want, either works.\n"


void fake_help_thingy()
{
	textfield_add(fake_help,MESSAGE_NORMAL);
	return;
}

void connect_alias(char *blah)
{
	char *trash, *host, *port;
	trash=(char *)malloc(1024);
	host=(char *)malloc(1024);
	port=(char *)malloc(1024);
	host[0]=0;
	port[0]=0;
	sscanf(blah,"%s %s %s",trash,host,port);
	free(trash);
	if(host[0]!=0 && port[0]!=0)
	{
		make_connection(host,port);	
		free(host);
		free(port);
		return;
	}
	free(host);
	free(port);
	cbox();
	return;
}

void do_alias(char *blah)
{
	if(!strncmp(blah,"con",3))connect_alias( blah );
	if(!strncmp(blah,"dis",3))disconnect();

	if(!strncmp(blah,"clear",2))clear(0,GTK_TEXT(mud->text));
	if(!strncmp(blah,"help",4))fake_help_thingy();

	if(!strncmp(blah,"qui",3))gtk_main_quit();
	if(!strncmp(blah,"exi",3))gtk_main_quit();

	if(!strncmp(blah,"cload",5))color_load();
	if(!strncmp(blah,"csave",5))color_save();
	if(!strncmp(blah,"cdef",4))color_default();
	if(!strncmp(blah,"cdump",5))color_dump();
		
	if(!strncmp(blah,"sload",5))session_load();
	if(!strncmp(blah,"ssave",5))session_save();
	if(!strncmp(blah,"sdef",4))session_default();

	return;
}
