/* this file came from Erik Thyren, I moved it out of gui.c because it's
 * fairly large and fairly specific */

#include "bmud.h"
#include <stdio.h>

void read_file_connect()
{
  FILE *fp;
  int i,file_item;
  char *host,*port;
  
  host=(char *)g_malloc(256);
  port=(char *)g_malloc(256);
  
  file_item=atoi(gtk_entry_get_text(GTK_ENTRY(mud->hostentry)));
  if((file_item==0)||(file_item > mud->items))
    {
      destructify();
      return;
    }
  
  fp=fopen(SERVERFILE,"r");
  if(fp==NULL)
    {
      return;
    }
  
  for(i=0;i<(file_item*2)-1;i++)
    {
      //if((fscanf(fp,"%s",host))!=EOF);
      //else
      //destructify();
      fscanf(fp,"%s",host);
    }
    
  rewind(fp);
  
  for(i=0;i<(file_item*2);i++)
    {
      fscanf(fp,"%s",port);
    }
    
  fclose(fp);
  
  //fprintf(stderr,"host: %s port: %s item: %d\n",host,port,file_item);
  
  make_connection(host,port);
  free(host);
  free(port);
  destructify();
  return;
}
	  

void clist()
{
  FILE *fp;  
  char *temp, name[512]; //, port[10];
  GtkWidget *hbox, *vbox, *label, *button, *separator, *entry;

  temp = g_malloc( sizeof(char) * 65535 );
  
  win=gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_container_border_width(GTK_CONTAINER(win), 10);
  vbox=gtk_vbox_new(0,5);
  mud->items=0;

  label=gtk_label_new("BMUD Serverlist");
  separator=gtk_hseparator_new();
  gtk_box_pack_start(GTK_BOX(vbox),label,FALSE,FALSE,0);
  gtk_box_pack_start(GTK_BOX(vbox),separator,FALSE,FALSE,0);
  gtk_widget_show(label);
  gtk_widget_show(separator);
  
  fp=fopen(g_strconcat(show_conf_dir(),"mudservers",NULL),"r");
  if(fp != NULL)
    {
      while((fscanf(fp,"%s",temp)) != EOF)
	{
	  //fr trtt fr att fixa nu. kom p en bra lsning!!
	  if(atoi(temp)!=0)
	    {
	      /* We have the port here....*/
	      //intport=atoi(temp);
	      //sprintf(port,"%d",intport);
	    }
	  else
	    {
	      mud->items++;
	      sprintf(name,"%d. ",mud->items);
	      strcat(name,temp);
	      label=gtk_label_new(name);
	      hbox=gtk_hbox_new(FALSE,5);
	      gtk_box_pack_start(GTK_BOX(hbox),label,FALSE,FALSE,0);
	      gtk_box_pack_start(GTK_BOX(vbox),hbox,FALSE,FALSE,0);
	      gtk_widget_show(label);
	      gtk_widget_show(hbox);
	    }
	}
      fclose(fp);
      
      mud->hostentry=gtk_entry_new();
      gtk_box_pack_start(GTK_BOX(vbox),mud->hostentry,FALSE,TRUE,0);
      gtk_widget_show(mud->hostentry);
      
      hbox=gtk_hbox_new(FALSE,5);
      button=gtk_button_new_with_label("  Go  ");
      gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(read_file_connect),&mud);
      gtk_box_pack_start(GTK_BOX(hbox),button,TRUE,FALSE,0);
      gtk_widget_show(button);
      
      button=gtk_button_new_with_label("Cancel");
      gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(destructify),NULL);
      gtk_box_pack_start(GTK_BOX(hbox),button,TRUE,FALSE,0);
      gtk_widget_show(button);
      
      gtk_box_pack_start(GTK_BOX(vbox),hbox,FALSE,TRUE,0);
      gtk_widget_show(hbox);
    }
  else
    {
      label=gtk_label_new("Sorry, Couldn't open serverlist :(");
      button=gtk_button_new_with_label("Ok");
      gtk_signal_connect(GTK_OBJECT(button),"clicked",GTK_SIGNAL_FUNC(destructify),NULL);
      gtk_box_pack_start(GTK_BOX(vbox),label,FALSE,FALSE,0);
      gtk_box_pack_start(GTK_BOX(vbox),button,FALSE,TRUE,0);
      gtk_widget_show(label);
      gtk_widget_show(button);
    }

  
  gtk_container_add(GTK_CONTAINER(win),vbox);
  // gtk_widget_show(label);
  //gtk_widget_show(hbox);
  gtk_widget_show(vbox);
  gtk_widget_show(win);	

  free( temp );
  
  return;
}

