/* houses the main function. */

#include <stdio.h>
#include "bmud.h"
#include "tmp.h"	/* should be deleted eventually */

bmud *mud;	/* icky global */

#ifdef USE_GNOME
#include "gnome-compat.h"
#else
#include "gtk-compat.h"
#endif


int main(int argc, char **argv)
{

	mud             = g_malloc( sizeof(bmud) + 1 );
	mud->hist       = g_malloc( sizeof(struct bmud_history) + 1 );
	mud->hist->list = g_malloc( sizeof(gpointer) * (mud->hist->max + 1) );

	init(argc,argv);	/* mud->window is now a window widget */
				/* gnome-compat.h or gtk-compat.h */

	check_my_dir();			/* misc.c */
	
	if(show_conf_dir())		/* misc.c */
		gtk_rc_parse( g_strconcat( show_conf_dir() , "gtkrc" , NULL ) );
	
	gtk_widget_realize( mud->window );
	mud->window = spawn_gui();	/* gui.c */

	session_load();			/* prefs.c */
	color_load();			/* color.c */

	mud->disp_font = gdk_font_load( mud->disp_font_name );

	mud->curr_color = color_white;

	gtk_widget_show( mud->window );

		/* why wont' this work with pixmap themes? */
	gdk_window_set_background( GTK_TEXT(mud->text)->text_area, &color_black);
	gdk_window_set_background( GTK_TEXT(mud->stat)->text_area, &color_black);

		/**** this should be deleted eventually ****/
	gtk_text_insert( GTK_TEXT(mud->text) , mud->disp_font, &color_white, NULL, STARTUP_MESSAGE, -1);

	gtk_main();
	
	return 0;
}			
